Subject: Re: [PATCH] http-push: making HTTP push more robust and more user-friendly

From: Grégoire Barbier <[email-masked]>
Date: Tue, 22 Jan 2008 00:12:27 +0100

Junio C Hamano a écrit > * Do we know that the current code is broken 
for everybody, or just
> broken for the majority of people who do nontrivial things?

http-push without USE_CURL_MULTI is broken for everybody who uses it

> * Is the code in 1.5.3.8 any better?  IOW, did we make it worse 
> during 1.5.4 cycle?

I think it is better, because it hurts less.

after:
- http-push with curl >= 7.16 works
- http-push with curl < 7.16 does not work

before
- http-push with curl >= 7.16 works
- http-push with curl < 7.16 does not work and in addition corrups repos

In addition, the sooner we disable the repo corrupting code, the less we
will have dangerous code in the wide

Junio C Hamano a écrit :
> Then I guess Dscho's notice (and the same notice with disabling 
> http-push without MULTI in 1.5.3.9) would be the sane thing we should
> do in the short term.

This is my opinion.

Junio C Hamano a écrit :
 > The feature was added by one person who needed it, and it was
 > included because the need was satisfid with an implementation,
 > so at some point in the past, it must have worked for _somebody_
 > (I am hoping that this is not a regression during 1.5.4 cycle).
 >
 > Imagine that you are like that somebody who have been happily
 > using http-push.  Or imagine that you are starting to use git
 > and are tempted to use http-push.  With the above wording, I
 > strongly suspect that you would say "Crap --- 1.5.4 does not let
 > me run http-push, so I'll stay at 1.5.3.8 until 1.5.X lets me
 > use it again".

My experience is that 1.5.3.6 is broken too (but I did not ever try 
1.5.3.8). Therefore I don't think it's an 1.5.4 regression.

In fact, a few weeks ago, I was that guy discovering git and trying to 
use http-push, and said "Crap. That thing is broken." And this why I'm 
bothering you all since a while.

-- 
Grégoire Barbier - gb à gbarbier.org - +33 6 21 35 73 49